ONLYOFFICE 7.0: online forms, password protection in sheets, collaboration improvements and much more
ONLYOFFICE 7.0 released

Problem installing using flatpack on Linux (UBUNTU based)

I am getting the below error while trying to install the Onlyoffice using the flatpack. I would appreciate your help:

(Terminal output:)


$ flatpak install flathub org.onlyoffice.desktopeditors
Looking for matches…

org.onlyoffice.desktopeditors permissions:
ipc network pulseaudio wayland
x11 devices file access [1] dbus access [2]

[1] /tmp, host, xdg-config/gtk-3.0
[2] org.gtk.vfs, org.gtk.vfs.*


    ID                              Branch  Op  Remote   Download
  1. [✗] org.onlyoffice.desktopeditors stable i flathub 1,0 kB / 428,8 MB

Error: While trying to checkout e6471c93e5a5e66d88a31dab319e20e50b61f9ea0df11b4275efe283d330390f into /home/alch/.local/share/flatpak/app/org.onlyoffice.desktopeditors/x86_64/stable/.e6471c93e5a5e66d88a31dab31eeu8dee50b61f9ea0df11b4275efe283d330390f-M7WZE1: Opening content object 4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cdad26f790f8a: Couldn’t find file object ‘4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cdad26f790f8a’
error: Failed to install org.onlyoffice.desktopeditors: While trying to checkout e6471c93e5a5e66d88a31dab319e20e50b61f9ea0df11b4275efe283d330390f into /home/alch/.local/share/flatpak/app/org.onlyoffice.desktopeditors/x86_64/stable/.e6471c93e5a5e66d88a31dab319ee0e50b61f9ea0df11b4275efe283d330390f-M7WZE1: Opening content object 4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cdad26f790f8a: Couldn’t find file object ‘4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cead26f790f8a’


OS version: Pop!_OS 21.10
App version: Latest (Flatpack)
Downloaded from: Flatpack Repo

Hello @AiO
I have checked flatpak installation on Pop! OS (21.10). Document Editors is installed without issues. Could you please go to Pop!_Shop > Installed and check if any OS updates are available to download?

Thank you very much for your reply.

I tried the command-based installation and also I tried the POP_Shop and I have error by both.

I believe once during the installation crashed and since I have this error. But the problem is that I do not know what to do to fix this issue… your help is really appreciated. I also attached the error and here is the text:

Aborted due to failure (While trying to checkout e6471c93e5a5e66d88a31dab319e20e50b61f9ea0df11b4275efe283d330390f into /home/userrrr/.local/share/flatpak/app/org.onlyoffice.desktopeditors/x86_64/stable/.e6471c93e5a5e66d88a31dab319e20e50b61f9ea0df11b4275efe283d330390f-RL55E1: Opening content object 4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cdad26f790f8a: Couldn’t find file object ‘4bb160712b237d8d02f158f4060ade13c6cc64fcaa015003977cdad26f790f8a’)

It’s a little bit strange since on clean Pop_OS installation the issue isn’t reproducible. Please try to run these flatpak commands:

flatpak uninstall --unused

flatpak repair

After that check if the issue still persists.

NB! Usually we recommend to prepare whole machine snapshot\backup just in case before any actions in the terminal.

By the way, did you try other installation ways? For example deb installation: How to install Desktop Editors to Ubuntu and derivatives? - ONLYOFFICE

Thank you for your reply.

When I run this command " flatpak uninstall --unused" Only Office is not listed in the list…

If you made snapshot\backup, then you can use terminal without fear of mistakes. You will be able to rollback to current statement. Please try it and let us know the result. Mentioned commands is a way to check if the situation is related to Flatpak. You can read commands description here: Using Flatpak — Flatpak documentation

Thank you for your reply,

I did as you mentioned but I am getting the exact same error in POP_Shop…

Any recommendations ?

Does deb installation way fail too? I believe that the current situation is related to Flatpak\your system only. Please try to use this guide and let us know the result: How to install Desktop Editors to Ubuntu and derivatives? - ONLYOFFICE

Thank you for your reply.

I managed to install it directly from the onlyoffice repo however, it seems that it is not curated for the POP OS. The full-screen (maximize) button does not work and also I can not reduce the height of the OnlyOffice window manually and it passes the POP_OS dock from the back side please see the screenshot.

The POP_OS window-tiling does not work with the DEB version to the point which the software is not usable.

I have checked mentioned scenario, but all things look good. Please see recorded video:

If my test is incorrect, please point me to it and provide me with detail (how to reproduce the situation from your screenshot).
Also please go to Pop!_Shop > Installed > Operating system updates. Please make a screenshot of this page.

Thank you for your reply…

I have this issue with the DEB version…

That is why I was trying to install from the Flatpack.

The recorded video is exact DEB version of Desktop Editors. I have installed it before recommending this solution to you.

The situation with incorrect work of window-tiling is not reproduced on my test machine. Is it possible that described situation is related not only to Desktop Editors, but some other apps too? I am asking it to exclude the possibility that the situation is related to your system in general.

Thank you for your great support.

Up until now I have had this the tilling issue only with OnlyOffice DEB version. And also this is not possible to add it to the dock (as a favourite app).

This is really important to us since we are willing to move our system to OnlyOffice cloud and in our company we are only using Linux.

I believe the best solution would be to see why I can not install using Flatpack…maybe an unsuccessful/incomplete installation is causing this ?

Let’s focus on Flatpak. Did you try to install some other app via Flatpak? For example, Spotify or Google Chrome. Please check it out and let us know the result. It is important to understand at what stage the error occurs.

Yes, I almost install everything from Flatpack via POP_Shop. This is because of the app updates which is more reliable via Flatpack.

To make sure, I installed DBeaver now from Flatpack and it works fine.

I believe somehow an error is cached from a previously unsuccessful installation and right after pressing the install I get this error.